'***************** (c) 2008 BTC Korporacja ***********************************
'                     http://www kamami.com
'PROJECT  : LED
'BOARD    : ZL15AVR (with ATmega32 in socket U1)
'COMPILER : BASCOM AVR (v.1.11.9.1)
'
'******************************************************************************
'
'    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
'    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
'    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
'    FROM USE OF THIS SOFTWARE.
'
'******************************************************************************
'
'DESCRIPTION :
'    Simple LEDs demonstration.
'
'    Settings and connections on ZL15AVR:
'        PA0 (con15) - LED0 (con9)
'        PA1 (con15) - LED1 (con9)
'        ...
'        PA7 (con15) - LED7 (con9)
'
'******************************************************************************

$regfile = "m32def.dat"
$crystal = 16000000                                         '16 MHz - turn on external resonator (fuse bits)
$baud = 1200
$hwstack = 64
$swstack = 64
$framesize = 64

Config Porta = Output

Do
  Porta = &B10101010
  Waitms 250
  Porta = &B01010101
  Waitms 250
Loop

End